tbb::flow::internal Namespace Reference

## Typedefs

typedef unsigned int | node_priority_t

## Variables

static tbb::task *const | SUCCESSFULLY_ENQUEUED = (task *)-1
static const node_priority_t | no_priority = node_priority_t(0)

## Typedef Documentation

## node_priority_t

typedef unsigned int tbb::flow::internal::node_priority_t

Definition at line 63 of file _flow_graph_impl.h.

## Variable Documentation

## no_priority

const node_priority_t tbb::flow::internal::no_priority = node_priority_t(0)

static

Definition at line 64 of file _flow_graph_impl.h.

Referenced by tbb::flow::interface11::internal::priority_task_selector::execute(), and tbb::flow::interface11::internal::prioritize_task().

## SUCCESSFULLY_ENQUEUED

tbb::task* const tbb::flow::internal::SUCCESSFULLY_ENQUEUED = (task *)-1

static

Definition at line 61 of file _flow_graph_impl.h.

Referenced by internal::function_input< Input, Output, Policy, A >::apply_body_impl_bypass(), internal::multifunction_input< Input, OutputPortSet, Policy, A >::apply_body_impl_bypass(), internal::check_task_and_spawn(), internal::emit_element< 1 >::emit_this(), internal::forward_task_bypass< NodeType >::execute(), internal::apply_body_task_bypass< NodeType, Input >::execute(), internal::source_task_bypass< NodeType >::execute(), tbb::flow::interface11::internal::priority_task_selector::execute(), tbb::flow::interface10::graph::run_and_put_task< Receiver, Body >::execute(), internal::function_input_base< Input, Policy, A, ImplType >::forward_task(), internal::broadcast_cache< T, M >::gather_successful_try_puts(), internal::queueing_port< T >::handle_operations(), internal::function_input_base< Input, Policy, A, ImplType >::internal_try_put_task(), internal::async_storage< T >::subscribe(), internal::multifunction_output< Output >::try_put(), tbb::flow::interface11::internal::untyped_receiver::try_put(), internal::decrementer< T, DecrementType, typename tbb::internal::enable_if< tbb::internal::is_integral< DecrementType >::value, void >::type >::try_put_task(), tbb::flow::interface11::continue_receiver::try_put_task(), internal::key_matching_port< TraitsType >::try_put_task(), tbb::flow::interface11::broadcast_node< T >::try_put_task(), tbb::flow::interface11::buffer_node< T, Allocator >::try_put_task(), internal::queueing_port< T >::try_put_task(), and tbb::flow::interface11::overwrite_node< T >::try_put_task_impl().

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.